Export (0) Print
Expand All

Forefront Protection 2010 for SharePoint requirements

 

Applies to: Forefront Protection 2010 for SharePoint

Topic Last Modified: 2012-01-12

This topic describes the minimum requirements for Microsoft Forefront Protection 2010 for SharePoint (FPSP). FPSP should only be installed on front-end servers.

Note: To protect Exchange Server, if both the Exchange Server and SharePoint Products and Technologies are installed on the same server, only Microsoft Forefront Protection 2010 for Exchange Server can be installed.

  • Processor

    • Due to a difference in system resources, FPSP performs significantly better on a 64-bit operating system (OS) than on a 32-bit OS. If your organization expects to have large capacity requirements on SharePoint server, it is recommended that you install the 64-bit OS and a 64-bit SharePoint front-end server before installing FPSP.

  • Server Software

    • Microsoft Windows Server 2003 Service Pack 2 (Standard, Enterprise, Datacenter, or Web Edition), Microsoft Windows Server 2008, or Microsoft Windows Server 2008 R2.

    • Microsoft Office SharePoint Server 2010, Microsoft Office SharePoint Server 2010 SP1, Microsoft SharePoint Foundation 2010, Microsoft Office SharePoint Server 2007 SP1, or Windows SharePoint Services version 3 SP1.

  • Memory

    • 2 gigabytes (GB) of free memory in addition to that required to run SharePoint server. For more information about the memory requirements for running SharePoint server, consult your SharePoint server planning documentation.

      NoteNote:
      Less memory is required if Intelligent Engine Management (IEM) is not enabled and fewer than five engines are selected (approximately 250 MB of memory per engine).
  • Hard Disk

    • 2 GB of available disk space. This is in addition to the disk space required for SharePoint server. Utilizing a server as a redistribution server for updates requires additional disk space.

  • Server

    • A four core server with 2.0 GHz or higher processors is recommended. Lower performing servers are supported, but file latency times may increase.

  • Additional Requirements

    • .NET Framework 3.5

    • Microsoft XML Core Services (MSXML) 6.0 SP1

    • Internet Information Services (IIS) in IIS 6.0 worker process isolation mode

    • Microsoft Chart Controls for Microsoft .NET Framework 3.5 (if these controls are not already present, they will be installed during the FPSP installation process)

    • Windows PowerShell 1.0

    • NTFS file system

    • Microsoft Filter Pack 2.0

 
Was this page helpful?
(1500 characters remaining)
Thank you for your feedback

Community Additions

ADD
Show:
© 2014 Microsoft